var clickedTransactionRow = function() {
    var uidJournal = this.getAttribute("uidJournal");
    window.webkit.messageHandlers.clickedTransaction.postMessage(uidJournal);
};

var contextMenu = function(e) {
    var postObject = {};

    var node = e.target;
    while (node) {
        postObject.uidAccount = node.getAttribute("uidAccount") ? node.getAttribute("uidAccount") : postObject.uidAccount;
        postObject.uidSubCat = node.getAttribute("uidSubCat") ? node.getAttribute("uidSubCat") : postObject.uidSubCat;
        postObject.uidJournal = node.getAttribute("uidJournal") ? node.getAttribute("uidJournal") : postObject.uidJournal;
        node = node.parentElement;
    }
    e.preventDefault();
    window.webkit.messageHandlers.openContextMenu.postMessage(JSON.stringify(postObject));
}

Array.from(document.getElementsByClassName("transactionRow")).forEach(function(element) {
  element.addEventListener('click', clickedTransactionRow);
});

document.addEventListener('contextmenu', contextMenu);
