var urlParams;
(window.onpopstate = function () {
    var match,
        pl     = /\+/g,  // Regex for replacing addition symbol with a space
        search = /([^&=]+)=?([^&]*)/g,
        decode = function (s) { return decodeURIComponent(s.replace(pl, " ")); },
        query  = window.location.search.substring(1);

    urlParams = {};
    while (match = search.exec(query)) {
        urlParams[decode(match[1])] = decode(match[2]);
    }
})();

$(function() {
    if (urlParams['mode'] == 'login') {
        $('form').animate({height: "toggle", opacity: "toggle"}, "slow");
    }
    if (urlParams['email']) {
        $('#login_email').val(urlParams['email']);
        $('#register_email').val(urlParams['email']);
    }
});
$('.message a.toggle').click(function() {
    $('form').animate({height: "toggle", opacity: "toggle"}, "slow");
});
$('#forgot').click(function() {
    var email = $('#login_email').val();
    $('#login_password').val('');
    window.webkit.messageHandlers.webForgottenPassword.postMessage(JSON.stringify({"email":email}));
});
$('#login_email').change(function () {
    $('#register_email').val($(this).val());
});
$('#register_email').change(function () {
    $('#login_email').val($(this).val());
});
$('#login-form').submit(function (event) {
    var email = $('#login_email').val();
    var password = $('#login_password').val();
    window.webkit.messageHandlers.webSignIn.postMessage(JSON.stringify({"email": email, "password": password}));
    event.preventDefault();
});
$('#register-form').submit(function (event) {
    var email = $('#register_email').val();
    $('#login_password').val('');
    window.webkit.messageHandlers.webSignUp.postMessage(JSON.stringify({"email": email}));
    event.preventDefault();
});

var postObject = {};

var node = e.target;
while (node) {
    postObject.uidAccount = node.getAttribute("uidAccount") ? node.getAttribute("uidAccount") : postObject.uidAccount;
    postObject.uidSubCat = node.getAttribute("uidSubCat") ? node.getAttribute("uidSubCat") : postObject.uidSubCat;
    postObject.uidJournal = node.getAttribute("uidJournal") ? node.getAttribute("uidJournal") : postObject.uidJournal;
    node = node.parentElement;
}
e.preventDefault();
window.webkit.messageHandlers.openContextMenu.postMessage(JSON.stringify(postObject));
